net.minecraft.item

## Class ItemEnchantedBook

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemEnchantedBook

-     public class ItemEnchantedBook
      extends Item

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.Item

      `appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, emptyMap, enchantedBook, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, fireballCharge, firework, fireworkCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemFrame, itemID, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, poisonousPotato, porkCooked, porkRaw, potato, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWait, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemEnchantedBook(int par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInformation(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, List par3List, boolean par4)`
    `ItemStack` | `func_92109_a(Random par1Random)`
    `NBTTagList` | `func_92110_g(ItemStack par1ItemStack)`
    `ItemStack` | `func_92111_a(EnchantmentData par1EnchantmentData)`
    `WeightedRandomChestContent` | `func_92112_a(Random par1Random, int par2, int par3, int par4)`
    `void` | `func_92113_a(Enchantment par1Enchantment, List par2List)`
    `WeightedRandomChestContent` | `func_92114_b(Random par1Random)`
    `void` | `func_92115_a(ItemStack par1ItemStack, EnchantmentData par2EnchantmentData)`
    `EnumRarity` | `getRarity(ItemStack par1ItemStack)`
    `boolean` | `hasEffect(ItemStack par1ItemStack)`
    `boolean` | `isItemTool(ItemStack par1ItemStack)` Checks isDamagable and if it cannot be stacked

    - ### Methods inherited from class net.minecraft.item.Item

      `canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItemStack, getCreativeTab, getCreativeTabs, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconIndex, getIconIndex, getIsRepairable, getItemDisplayName, getItemEnchantability, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getPotionEffect, getRenderPasses, getShareTag, getSmeltingExperience, getStatName, getStrVsBlock, getStrVsBlock, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hitEntity, isDamageable, isFull3D, isMap, isPotionIngredient, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTickUpdate, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldPassSneakingClickToBlock, shouldRotateAroundWhenRendering`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemEnchantedBook

          public ItemEnchantedBook(int par1)

  - ### Method Detail

    - #### hasEffect

          public boolean hasEffect(ItemStack par1ItemStack)

      Overrides:
        `hasEffect` in class `Item`

    - #### isItemTool

          public boolean isItemTool(ItemStack par1ItemStack)

      Checks isDamagable and if it cannot be stacked
      Overrides:
        `isItemTool` in class `Item`

    - #### getRarity

          public EnumRarity getRarity(ItemStack par1ItemStack)

      Overrides:
        `getRarity` in class `Item`

    - #### func_92110_g

          public NBTTagList func_92110_g(ItemStack par1ItemStack)

    - #### addInformation

          public void addInformation(ItemStack par1ItemStack,
                            EntityPlayer par2EntityPlayer,
                            List par3List,
                            boolean par4)

      Overrides:
        `addInformation` in class `Item`

    - #### func_92115_a

          public void func_92115_a(ItemStack par1ItemStack,
                          EnchantmentData par2EnchantmentData)

    - #### func_92111_a

          public ItemStack func_92111_a(EnchantmentData par1EnchantmentData)

    - #### func_92113_a

          public void func_92113_a(Enchantment par1Enchantment,
                          List par2List)

    - #### func_92109_a

          public ItemStack func_92109_a(Random par1Random)

    - #### func_92114_b

          public WeightedRandomChestContent func_92114_b(Random par1Random)

    - #### func_92112_a

          public WeightedRandomChestContent func_92112_a(Random par1Random,
                                                int par2,
                                                int par3,
                                                int par4)